# Ansible playbook to provision your academic desktop

At present this playbook supports only Ubuntu. Please help me extend support to
other Debian and Linux flavours by contributing issues or pull requests.

Start by flashing Ubuntu Server 24.04.4 Live ISO image to a USB stick
(for example, using balenaEtcher) and use the installer to install the default
Ubuntu Server OS on your computer (setup the disk however you like).

+ https://releases.ubuntu.com/22.04
+ https://releases.ubuntu.com/22.04/ubuntu-22.04.4-live-server-amd64.iso
+ https://etcher.balena.io



Why `zhutop`? The reason is not very creative, it is simply a portmanteau of
the name of my academic advisor (whose desktop was the first host configured
using this playbook), and desk`top`.


## Links and notes

+ https://blog.local-optimum.net/getting-started-with-autoinstall-on-ubuntu-desktop-24-04-lts-147a1defb2de
+ https://discourse.ubuntu.com/t/spec-apt-deb822-sources-by-default/29333/7
+ https://codeberg.org/D10f/ansible-desktop



### Working with roles (git submodules)

Update all the roles from their respective remotes:
```
$ git submodule foreach git fetch
$ git submodule foreach git pull origin main
```

+ https://stackoverflow.com/a/1032863






+ https://stackoverflow.com/questions/10906554/how-do-i-revert-my-changes-to-a-git-submodule